class Api::V1::Projects::Pulls::VersionsController < Api::V1::Projects::Pulls::BaseController

  def index 
    @result_object = Api::V1::Projects::Pulls::Versions::ListService.call(@project, @pull_request, {page: page, limit: limit}, current_user&.gitea_token)
  end

  def diff 
    @result_object = Api::V1::Projects::Pulls::Versions::GetDiffService.call(@project, @pull_request, params[:id], {filepath: params[:filepath]}, current_user&.gitea_token)
  end
end